Pre booking
API Reference
POST
/api/v1/booking/pre-bookAllocate booking (reserve room and price in process 15 mins).
NOTE Do not support selecting multiple rooms with different occupancy configurations within a single booking.
Document History
| version | publish date | Description |
|---|---|---|
| 1.0.0 | 25-10-2026 | Intial Specification |
Header Parameters
Content-Type
required
string
Content type
Example: application/json
Authorization
required
string
Authorization
Example: Bearer {accessToken}
Request Body
contactEmail
required
string
Contact email
prefixPhone
required
string
Prefix phone
phone
required
string
Phone
guests
required
array object
Guest list
title
required
string
Name title. support Mr or Ms
Example: Mr
firstName
required
string
First name. At least 2 characters, only A-Z.
lastName
required
string
Last name. At least 2 characters, only A-Z.
countryOfPassport
required
string
Country of passport. support 2 characters, only A-Z
Example: TH
smokePreference
optional
boolean
Smoke preference
Example: true=Smoke, false=No Smoke
email
optional
string
Email
specialRequest
optional
string
Special request
endUserIpAddress
required
string
IP address of end user
Response Schema
ref
required
string
Reference transaction
status
required
boolean
Status flag
code
required
string
Error code
Example: 200 / 400...
message
required
string
Error message
data
required
object
Data response object
transactionToken
required
string
Transaction token
rates
required
object
Room rate information
billingCurrency
required
object
Billing price (Currency will be based on the agreement contract.)
price
required
number
Billing Price.
There is a possibility that the price may change. Please verify the price again before confirmation.
There is a possibility that the price may change. Please verify the price again before confirmation.
recommendedPrice
optional
number
Recommend price.This is the recommended selling price and should not be sold below this rate.
currency
required
string
Currency
requestCurrency
required
object
Request price (Currency will be based on request parameter.) preference from API Availability request
price
required
number
request Price.
There is a possibility that the price may change. Please verify the price again before confirmation.
There is a possibility that the price may change. Please verify the price again before confirmation.
recommendedPrice
optional
number
Recommend price.This is the recommended selling price and should not be sold below this rate.
currency
required
string
Currency
cancellationPolicy
required
array object
Cancellation policy
date
required
string
Policy effective date
chargeType
required
string
Condition charge type
Example: NonRefundable / Amount / Percent / Night / Nights / DateOnly
chargeAmount
required
number
Charge amount
currency
required
string
Currency
alert
required
string
Alert
remark
required
string
Remark
expiresAt
required
string
Token/rate expiration time
Responses
| Status Code | Description |
|---|---|
| 200 | SUCCESS |
| 400 | Bad Request |
| 401 | Unauthorized |
| 404 | Not found |
| 500 | Internal server error |